<?php

namespace App\Repositories\Webprofile\Sa;

use App\Models\Webprofile\Sa\Posts;
use App\Repositories\Repository;

class PostRepository extends Repository
{
    public function __construct(Posts $model)
    {
        $this->model = $model;
    }

    public function get()
    {
    }

    public function paginate()
    {
    }

    public function update($data, $post)
    {
        return $this->model->updateOrCreate([
            'post_id' => $post->id,
        ], $data);
    }
}
